# eSM for CpML schemas

The eSM schema files are an extension to core CpML.


Last changed: 20 December 2023
Based on CpML for eSM version: 3.4
Compatible CpML schema version: 6.4.3

The eSM schemas consist of the following files:

- ESMDocument.xsd: Contains high-level document structure
- ESM-ElementsAndTypes.xsd: Contains new elements and types
- ESMMatchResultSuggestionDocument.xsd: Contains document schema for Match Result Suggestion
- ESMMatchResultAcceptanceDocument.xsd: Contains document schema for Match Result Acceptance
- ESMMatchResultRefusalDocument.xsd: Contains document schema for Match Result Refusal
- ESMCancellationDocument.xsd: Contains document schema for Cancellation
- ESMAcknowledgementDocument.xsd: Contains document schema for Acknowledgement
- ESMRejectionDocument.xsd: Contains document schema for Rejection

The eSM schemas include the following core CpML files:

- CPML-CoreTypes.xsd
- CPML-CoreElements.xsd

The schema files are expected to be placed in the same folder as the core CpML files.
